Panda3D

Loading...
Searching...
No Matches
Functions | Variables
config_flt.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "config_flt.h"`
`#include "fltRecord.h"`
`#include "fltBead.h"`
`#include "fltBeadID.h"`
`#include "fltGroup.h"`
`#include "fltObject.h"`
`#include "fltGeometry.h"`
`#include "fltFace.h"`
`#include "fltCurve.h"`
`#include "fltMesh.h"`
`#include "fltLocalVertexPool.h"`
`#include "fltMeshPrimitive.h"`
`#include "fltVectorRecord.h"`
`#include "fltVertexList.h"`
`#include "fltLOD.h"`
`#include "fltInstanceDefinition.h"`
`#include "fltInstanceRef.h"`
`#include "fltHeader.h"`
`#include "fltVertex.h"`
`#include "fltMaterial.h"`
`#include "fltTexture.h"`
`#include "fltLightSourceDefinition.h"`
`#include "fltUnsupportedRecord.h"`
`#include "fltTransformRecord.h"`
`#include "fltTransformGeneralMatrix.h"`
`#include "fltTransformPut.h"`
`#include "fltTransformRotateAboutEdge.h"`
`#include "fltTransformRotateAboutPoint.h"`
`#include "fltTransformScale.h"`
`#include "fltTransformTranslate.h"`
`#include "fltTransformRotateScale.h"`
`#include "fltExternalReference.h"`
`#include "dconfig.h"`

Go to the source code of this file.

## Functions
| Configure (config_flt)
| ConfigureFn (config_flt)
void | init_libflt ()
| Initializes the library.
| NotifyCategoryDef (flt, "")

## Variables
ConfigVariableBool | flt_error_abort ("flt-error-abort", false, PRC_DESC("Set this true to trigger an assertion failure (and core dump) " "immediately when an error is detected on reading or writing a flt " "file. This is primarily useful for debugging the flt reader itself, " "to generate a stack trace to determine precisely at what point a flt " "file failed."))

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  2000-08-24

Definition in file config_flt.cxx.

## Function Documentation

## ◆ ConfigureFn()

ConfigureFn | ( | config_flt |  | ) |

Definition at line 63 of file config_flt.cxx.

## ◆ init_libflt()

void init_libflt | ( |  | ) |

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 74 of file config_flt.cxx.

Referenced by init_libptloader().